Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.plugin
Class Red5Plugin

    java.lang.Object
      org.red5.server.plugin.Red5Plugin

All Implemented Interfaces:
  IRed5Plugin

    public abstract class Red5Plugin

extends Object
implements IRed5Plugin

Provides more features to the plug-in system.

Author:
  Paul Gregoire (mondain@gmail.com)

Field Summary
`protected ApplicationContext` | `context`
`protected Server` | `server`

Constructor Summary
`Red5Plugin()`

Method Summary
`void` | `doStart()` Lifecycle method called when the plug-in is started.
`void` | `doStop()` Lifecycle method called when the plug-in is stopped.
`String` | `getName()` Returns a name / identifier for the plug-in.
`Server` | `getServer()` Return the server reference.
`void` | `init()` Initialize the plug-in
`void` | `setApplication(MultiThreadedApplicationAdapter application)` Set the application making use of this plug-in.
`void` | `setApplicationContext(ApplicationContext context)` Sets the top-most ApplicationContext within Red5.
`void` | `setServer(Server server)` Sets a reference to the server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected ApplicationContext context

### server

    protected Server server

Constructor Detail

### Red5Plugin

    public Red5Plugin()

Method Detail

### doStart

    public void doStart()
                 throws Exception

  Lifecycle method called when the plug-in is started.

  Specified by:
    `doStart` in interface `IRed5Plugin`
  Throws:
    `Exception`

### doStop

    public void doStop()
                throws Exception

  Lifecycle method called when the plug-in is stopped.

  Specified by:
    `doStop` in interface `IRed5Plugin`
  Throws:
    `Exception`

### init

    public void init()

  Initialize the plug-in

### getName

    public String getName()

  Returns a name / identifier for the plug-in.

  Specified by:
    `getName` in interface `IRed5Plugin`
  Returns:
    plug-in's name

### setApplicationContext

    public void setApplicationContext(ApplicationContext context)

  Sets the top-most ApplicationContext within Red5.

  Specified by:
    `setApplicationContext` in interface `IRed5Plugin`

### getServer

    public Server getServer()

  Return the server reference.

  Returns:
    server

### setServer

    public void setServer(Server server)

  Sets a reference to the server.

  Specified by:
    `setServer` in interface `IRed5Plugin`

### setApplication

    public void setApplication(MultiThreadedApplicationAdapter application)

  Set the application making use of this plug-in.

  Parameters:
    `application` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project